//+------------------------------------------------------------------+
//|                                                      staticT.mq4 |
//+------------------------------------------------------------------+

extern int MagickN1 = 1;
extern int MagickN2 = 2;
extern int MagickN3 = 3;
extern int MagickN4 = 4;
extern int MagickN5 = 5;

extern double Lots = 0.1;

extern string priceDirection = "NA";

extern double SEntry1 = 0;
extern double SEntry2 = 0;
extern double SEntry3 = 0;
extern double SEntry4 = 0;
extern double SEntry5 = 0;

extern double LEntry1 = 0;
extern double LEntry2 = 0;
extern double LEntry3 = 0;
extern double LEntry4 = 0;
extern double LEntry5 = 0;

int orderCount(int ticket, string longshort)
{
   int orderCnt=0;
   int openedOrders= OrdersTotal();
      if(longshort=="OP_SELL")
      {
      for (int i=0;i<=openedOrders;i++)
      {
         OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
         if(OrderMagicNumber()==ticket && OrderSymbol()==Symbol() && OrderType()==OP_SELL)
         {
            orderCnt++; // add up the orders with slow magicNumber
         }
      }
      //Comment(orderCnt);
      return(orderCnt);
      }
      
      
      if(longshort=="OP_BUY")
      {
      for (int ie=0;ie<=openedOrders;ie++)
      {
         OrderSelect(ie, SELECT_BY_POS, MODE_TRADES);
         if(OrderMagicNumber()==ticket && OrderSymbol()==Symbol() && OrderType()==OP_BUY)
         {
            orderCnt++; // add up the orders with slow magicNumber
         }
      }
      //Comment(orderCnt);
      return(orderCnt);
      }
      
}

bool magikCheck(int mNumber, string shortlong)
{
   int orderCnt = 0;
   int openedOrders = OrdersTotal();
      if(shortlong=="OP_SELL")
      for (int i=0;i<=openedOrders;i++)
      {
         OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
         if(OrderMagicNumber()==mNumber && OrderType()==OP_SELL)
         {
            break;
            return(true);
         }
      }
      
      if(shortlong=="OP_BUY")
      for (int ie=0;ie<=openedOrders;ie++)
      {
         OrderSelect(ie, SELECT_BY_POS, MODE_TRADES);
         if(OrderMagicNumber()==mNumber && OrderType()==OP_BUY)
         {
            break;
            return(true);
         }
      }
      
      return(false);
}


// SHORTS
void shortEntry1(double std)
{         
         if(Bid>=SEntry1 && SEntry1!=0)
         {
            if(magikCheck(MagickN1, "OP_SELL")==false && orderCount(MagickN1, "OP_SELL")==0)
            {
               int ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 0, 0, 0, "", MagickN1,0,Green);
               if(ticket>0)
               {
                  OrderSelect(ticket, SELECT_BY_TICKET);
                  OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(std*0.3),Bid-(std*0.9),0,Green);
               }
            }
         }
}

void shortEntry2(double std)
{
         if(Bid>=SEntry2 && SEntry2!=0)
         {
            if(magikCheck(MagickN2, "OP_SELL")==false && orderCount(MagickN2, "OP_SELL")==0)
            {
               int ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 0, 0, 0, "", MagickN2,0,Green);
               if(ticket>0)
               {
                  OrderSelect(ticket, SELECT_BY_TICKET);
                  OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(std*0.3),Bid-(std*0.9),0,Green);
               }
            }   
         }
}

void shortEntry3(double std)
{
         if(Bid>=SEntry3 && SEntry3!=0)
         {
            if(magikCheck(MagickN3, "OP_SELL")==false && orderCount(MagickN3, "OP_SELL")==0)
            {
            int ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 0, 0, 0, "", MagickN3,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(std*0.3),Bid-(std*0.9),0,Green);
            }
            }
         }
}

void shortEntry4(double std)
{
         if(Bid>=SEntry4 && SEntry4!=0)
         {
            if(magikCheck(MagickN4, "OP_SELL")==false && orderCount(MagickN4, "OP_SELL")==0)
            {
            int ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 0, 0, 0, "", MagickN4,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(std*0.3),Bid-(std*0.9),0,Green);
            }
            }
         }
}

void shortEntry5(double std)
{
         if(Bid>=SEntry5 && SEntry5!=0)
         {
            if(magikCheck(MagickN5, "OP_SELL")==false && orderCount(MagickN5, "OP_SELL")==0)
            {
            int ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 0, 0, 0, "", MagickN5,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Bid+(std*0.3),Bid-(std*0.9),0,Green);
            }
            }
         }
}



// LONGS
void longEntry1(double std)
{

         if(Ask<=LEntry1 && LEntry1!=0)
         {
            if(magikCheck(MagickN1,"OP_BUY")==false && orderCount(MagickN1, "OP_BUY")==0)
            {
            int ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, 0, 0, "", MagickN1,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(std*0.3),Ask+(std*0.9),0,Green);
            }
            }
         }

}

void longEntry2(double std)
{

         if(Ask<=LEntry2 && LEntry2!=0)
         {
            if(magikCheck(MagickN2,"OP_BUY")==false && orderCount(MagickN2, "OP_BUY")==0)
            {
            int ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, 0, 0, "", MagickN2,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(std*0.3),Ask+(std*0.9),0,Green);
            }
            }
         }

}

void longEntry3(double std)
{

         if(Ask<=LEntry3 && LEntry3!=0)
         {
            if(magikCheck(MagickN3,"OP_BUY")==false && orderCount(MagickN3, "OP_BUY")==0)
            {
            int ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, 0, 0, "", MagickN3,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(std*0.3),Ask+(std*0.9),0,Green);
            }
            }
         }

}

void longEntry4(double std)
{

         if(Ask<=LEntry4 && LEntry4!=0)
         {
            if(magikCheck(MagickN4,"OP_BUY")==false && orderCount(MagickN4, "OP_BUY")==0)
            {
            int ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, 0, 0, "", MagickN4,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(std*0.3),Ask+(std*0.9),0,Green);
            }
            }
         }

}

void longEntry5(double std)
{

         if(Ask<=LEntry5 && LEntry5!=0)
         {
            if(magikCheck(MagickN5,"OP_BUY")==false && orderCount(MagickN5, "OP_BUY")==0)
            {
            int ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, 0, 0, "", MagickN5,0,Green);
            if(ticket>0)
            {
               OrderSelect(ticket, SELECT_BY_TICKET);
               OrderModify(OrderTicket(),OrderOpenPrice(),Ask-(std*0.3),Ask+(std*0.9),0,Green);
            }
            }
         }

}


int start()
  {
//----


   // check input parameters, for trading
   if(priceDirection=="NA") //|| SEntry1==0 || SEntry2==0 || SEntry3==0 ||   SEntry4==0 || SEntry5==0 || LEntry1==0 || LEntry2==0 || LEntry3==0 || LEntry4==0 ||   LEntry5==0
   {
   Alert(Symbol()+": Check EA Input Parameters, EA NOT Active");
   return(0);
   }
   
   
   double std2=(2)*(iStdDev(NULL,10080,4,0,MODE_SMA,PRICE_CLOSE,0));
   
   
   if(priceDirection=="SELL" || priceDirection=="NEUTRAL")
   {
   shortEntry1(std2);
   shortEntry2(std2);
   shortEntry3(std2);
   shortEntry4(std2);
   shortEntry5(std2);
   }
   
   if(priceDirection=="BUY" || priceDirection=="NEUTRAL")
   {
   longEntry1(std2);
   longEntry2(std2);
   longEntry3(std2);
   longEntry4(std2);
   longEntry5(std2);
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+